Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF')
-rw-r--r--plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF45
1 files changed, 18 insertions, 27 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
index 3a5c8f951a2..416c282da4a 100644
--- a/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.dev.types/META-INF/MANIFEST.MF
@@ -1,27 +1,18 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.uml2.uml;bundle-version="5.0.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
- org.eclipse.emf.codegen.ecore;bundle-version="2.10.0",
- org.eclipse.papyrus.infra.types.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.gmf.codegen;bundle-version="2.11.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- com.google.guava;bundle-version="11.0.0",
- org.eclipse.xtext.xbase.lib,
- org.eclipse.xtend.lib,
- org.eclipse.xtend.lib.macro,
- org.eclipse.ui.workbench,
- org.eclipse.ui.ide;bundle-version="3.10.100",
- org.eclipse.core.filesystem;bundle-version="1.6.0"
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.dev.types.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.dev.types;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
+ org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.papyrus.infra.types.core;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="[1.2.0,2.0.0)",
+ org.eclipse.gmf.codegen;bundle-version="[2.11.0,3.0.0)",
+ org.eclipse.xtend.lib;bundle-version="[2.10.0,3.0.0)",
+ org.eclipse.ui.ide;bundle-version="[3.12.0,4.0.0)",
+ org.eclipse.core.filesystem;bundle-version="[1.6.0,2.0.0)"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.dev.types.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.dev.types;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7

Back to the top